package yangtz.cs.liu.campus.service.fudao;

import com.baomidou.mybatisplus.extension.service.IService;
import org.springframework.stereotype.Service;
import yangtz.cs.liu.campus.domain.fudao.FudaoTeacher;
import yangtz.cs.liu.campus.vo.fudao.FudaoTeacherVo;

import java.util.List;
@Service
public interface FudaoTeacherService extends IService<FudaoTeacher> {
    //查询
    List<FudaoTeacherVo> querylist(FudaoTeacherVo fudaoTeacherVo);

    FudaoTeacherVo selectTutorAwardById(Long id);

    //新增
    public int insert(FudaoTeacher fudaoTeacher);

    //删除
    public int delete(Long[] ids);

    //修改
    public int updatefudao(FudaoTeacher fudaoTeacher);

    /**
     * 审核
     * @param fudaoTeacher
     * @return
     */
    int submit(FudaoTeacher fudaoTeacher);
}
